%bcond_without qt5
%bcond_without qt6

Name:           polkit-qt-1
Version:        0.200.0
Release:        %mkrel 1
Summary:        Qt bindings for PolicyKit
Group:          System/Libraries
License:        LGPLv2+
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/polkit-qt-1/%{name}-%{version}.tar.xz
Source1:        Doxyfile

BuildRequires:  doxygen
BuildRequires:  cmake
BuildRequires:  pkgconfig(polkit-agent-1)
### Qt5 build dependencies
%if %{with qt5}
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
%endif
### Qt6 build dependencies
%if %{with qt6}
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
%endif

%description
Polkit-qt-1 is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

#--------------------------------------------------------------------
### Qt5 ###

%if %{with qt5}

%define polkit_qt5_agent_major 1
%define libpolkit_qt5_agent %mklibname polkit-qt5-agent-1_ %{polkit_qt5_agent_major}

%package -n %libpolkit_qt5_agent
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt5_agent
Qt 5 bindings for PolicyKit.

%files -n %libpolkit_qt5_agent
%{_libdir}/libpolkit-qt5-agent-1.so.%{polkit_qt5_agent_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt5_core_major 1
%define libpolkit_qt5_core %mklibname polkit-qt5-core-1_ %{polkit_qt5_core_major}

%package -n %libpolkit_qt5_core
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt5_core
Qt 5 bindings for PolicyKit.

%files -n %libpolkit_qt5_core
%{_libdir}/libpolkit-qt5-core-1.so.%{polkit_qt5_core_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt5_gui_major 1
%define libpolkit_qt5_gui %mklibname polkit-qt5-gui-1_ %{polkit_qt5_gui_major}

%package -n %libpolkit_qt5_gui
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt5_gui
Qt 5 bindings for PolicyKit.

%files -n %libpolkit_qt5_gui
%{_libdir}/libpolkit-qt5-gui-1.so.%{polkit_qt5_gui_major}{,.*}

#--------------------------------------------------------------------

%define polkitqt5_devel %mklibname polkit-qt5-1 -d

%package -n %polkitqt5_devel
Summary:        Development files for PolicyKit Qt 5 bindings
Group:          Development/KDE and Qt
Requires:       %libpolkit_qt5_agent = %{version}-%{release}
Requires:       %libpolkit_qt5_core = %{version}-%{release}
Requires:       %libpolkit_qt5_gui = %{version}-%{release}
Provides:       polkitqt5-devel  = %{version}-%{release}
Provides:       polkit-qt5-1-devel  = %{version}-%{release}

%description -n %polkitqt5_devel
Development files for PolicyKit Qt 5 bindings.

%files -n %polkitqt5_devel
%doc AUTHORS README
%license LICENSES/*
%{_includedir}/polkit-qt5-1/
%{_libdir}/libpolkit-qt5-core-1.so
%{_libdir}/libpolkit-qt5-gui-1.so
%{_libdir}/libpolkit-qt5-agent-1.so
%{_libdir}/pkgconfig/polkit-qt5-1.pc
%{_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_libdir}/cmake/PolkitQt5-1/
%endif

### End Qt5 ###

#--------------------------------------------------------------------
### Qt6 ###

%if %{with qt6}

%define polkit_qt6_agent_major 1
%define libpolkit_qt6_agent %mklibname polkit-qt6-agent-1_ %{polkit_qt6_agent_major}

%package -n %libpolkit_qt6_agent
Summary:        Qt 6 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt6_agent
Qt 6 bindings for PolicyKit.

%files -n %libpolkit_qt6_agent
%{_libdir}/libpolkit-qt6-agent-1.so.%{polkit_qt6_agent_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt6_core_major 1
%define libpolkit_qt6_core %mklibname polkit-qt6-core-1_ %{polkit_qt6_core_major}

%package -n %libpolkit_qt6_core
Summary:        Qt 6 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt6_core
Qt 6 bindings for PolicyKit.

%files -n %libpolkit_qt6_core
%{_libdir}/libpolkit-qt6-core-1.so.%{polkit_qt6_core_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt6_gui_major 1
%define libpolkit_qt6_gui %mklibname polkit-qt6-gui-1_ %{polkit_qt6_gui_major}

%package -n %libpolkit_qt6_gui
Summary:        Qt 6 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt6_gui
Qt 6 bindings for PolicyKit.

%files -n %libpolkit_qt6_gui
%{_libdir}/libpolkit-qt6-gui-1.so.%{polkit_qt6_gui_major}{,.*}

#--------------------------------------------------------------------

%define polkitqt6_devel %mklibname polkit-qt6-1 -d

%package -n %polkitqt6_devel
Summary:        Development files for PolicyKit Qt 6 bindings
Group:          Development/KDE and Qt
Requires:       %libpolkit_qt6_agent = %{version}-%{release}
Requires:       %libpolkit_qt6_core = %{version}-%{release}
Requires:       %libpolkit_qt6_gui = %{version}-%{release}
Provides:       polkitqt6-devel  = %{version}-%{release}
Provides:       polkit-qt6-1-devel  = %{version}-%{release}

%description -n %polkitqt6_devel
Development files for PolicyKit Qt 6 bindings.

%files -n %polkitqt6_devel
%doc AUTHORS README
%license LICENSES/*
%{_includedir}/polkit-qt6-1/
%{_libdir}/libpolkit-qt6-core-1.so
%{_libdir}/libpolkit-qt6-gui-1.so
%{_libdir}/libpolkit-qt6-agent-1.so
%{_libdir}/pkgconfig/polkit-qt6-1.pc
%{_libdir}/pkgconfig/polkit-qt6-core-1.pc
%{_libdir}/pkgconfig/polkit-qt6-gui-1.pc
%{_libdir}/pkgconfig/polkit-qt6-agent-1.pc
%{_libdir}/cmake/PolkitQt6-1/
%endif

### End Qt6 ###

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
### Build Qt5 ###
%if %{with qt5}
%define _vpath_builddir %{_target_platform}-qt5
%cmake -DBUILD_EXAMPLES:BOOL=OFF -DQT_MAJOR_VERSION=5
%cmake_build
%endif

### Build Qt6 ###
%if %{with qt6}
%define _vpath_builddir %{_target_platform}-qt6
%cmake -DBUILD_EXAMPLES:BOOL=OFF -DQT_MAJOR_VERSION=6
%cmake_build
%endif

### Build doc ###
doxygen %{SOURCE1}

# Remove installdox file - it is not necessary here
rm -fv html/installdox

%install
%if %{with qt5}
%define _vpath_builddir %{_target_platform}-qt5
%cmake_install
%endif

%if %{with qt6}
%define _vpath_builddir %{_target_platform}-qt6
%cmake_install
%endif


%changelog
* Fri Feb 23 2024 daviddavid <daviddavid> 0.200.0-1.mga10
+ Revision: 2043715
- new version: 0.200.0

* Wed Nov 15 2023 daviddavid <daviddavid> 0.175.0-1.mga10
+ Revision: 2006831
- new version: 0.175.0

* Sun Oct 22 2023 daviddavid <daviddavid> 0.114.0-3.mga10
+ Revision: 2000182
- enable Qt6 support
- rename to keep original name for current Qt5 support

* Sun Apr 03 2022 umeabot <umeabot> 0.114.0-2.mga9
+ Revision: 1842587
- Mageia 9 Mass Rebuild

* Fri Aug 06 2021 luigiwalser <luigiwalser> 0.114.0-1.mga9
+ Revision: 1739845
- 0.114.0

* Thu Dec 17 2020 umeabot <umeabot> 0.113.0-5.mga8
+ Revision: 1659426
- Rebuild for new Qt5

* Wed Feb 26 2020 daviddavid <daviddavid> 0.113.0-4.mga8
+ Revision: 1550737
- fix obsoletes

* Sun Feb 16 2020 daviddavid <daviddavid> 0.113.0-3.mga8
+ Revision: 1530562
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Aug 31 2019 daviddavid <daviddavid> 0.113.0-2.mga8
+ Revision: 1435880
- do not pull for old Qt4 devel pkg
- new version: 0.113.0
- fix libraries and devel pkgname
- update URL and Source URL

* Mon Apr 01 2019 umeabot <umeabot> 0.112.0-7.mga7
+ Revision: 1384054
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.112.0-6.mga7
+ Revision: 1300339
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.112.0-5.mga6
+ Revision: 935947
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.112.0-4.mga5
+ Revision: 740002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.112.0-3.mga5
+ Revision: 687715
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 0.112.0-2.mga5
+ Revision: 660923
- Fix provides

* Mon Jul 28 2014 neoclust <neoclust> 0.112.0-1.mga5
+ Revision: 657696
- New version 0.112.0

* Tue Feb 18 2014 neoclust <neoclust> 0.103.0-0.1.20140212git.1.mga5
+ Revision: 594214
- imported package polkit-qt5


* Fri Dec 10 2010 Funda Wang <fwang@mandriva.org> 0.99.0-1mdv2011.0
+ Revision: 620209
- new version 0.99.0
- update license
- update url

* Tue Oct 26 2010 Funda Wang <fwang@mandriva.org> 0.98.1-1mdv2011.0
+ Revision: 589417
- new snapshot for newer kdelibs4

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 0.96.1-1mdv2011.0
+ Revision: 563987
- new version 0.96.1

* Wed Dec 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-1mdv2010.1
+ Revision: 481756
- Fix release

* Wed Dec 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-0.1056463.1mdv2010.1
+ Revision: 481717
- Update to 0.9.5.1

* Mon Nov 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.0-0.1056463.1mdv2010.1
+ Revision: 471702
- Do not use kde4 macros
- import polkit-qt-1


